
// DIODlg.h : header file
//

#pragma once


// CDIODlg dialog
class CDIODlg : public CDialogEx
{
// Construction
public:
	CDIODlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_DIO_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedPerformIO();

	long NumCards;					// Number of cards found 1
	long CardNum;					// Number of the card found 0
	unsigned long Offset;			// This the result of findcards and the address offset used
	bool RunFlag;
	unsigned long BaseOffset[5];

	struct TCardData 
	{
		bool IsValid; 
		bool IsSelected; 
		unsigned long DeviceID; 
		unsigned long Base;
	};

	TCardData CardData; // only set up for 1 here	

	void FindCardsWDM(void);

	CComboBox m_AddressCombo;
	CString m_AddressSelection;
	CString m_InputA;
	CString m_InputB;
	CString m_OutputA;
	CString m_StatusEdit;
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	CButton m_TimerButton;
	afx_msg void OnCbnSelchangeCombo1();
	CEdit m_StatusControl;
	CString m_CardName;
};
